Bug 120835 - user controlled devices don't activate with selinux enforcing
Summary: user controlled devices don't activate with selinux enforcing
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard: triage|leonardjo|closed|rawhide
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-14 12:21 UTC by Brian G. Anderson
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 1.11.1-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 18:09:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Audit messages in log (14.12 KB, text/plain)
2004-04-14 12:22 UTC, Brian G. Anderson
no flags Details

Description Brian G. Anderson 2004-04-14 12:21:50 UTC
Description of problem:
I've setup my eth0 device on my DELL laptop to be inactive on bootup,
but user controllable.  When I use system-control-network and try and
activate eth0, the activation window appears and then log starts
filling up with audit messages until I kill the activation window. 
The messages are attached.


Version-Release number of selected component (if applicable):
system-config-network-1.3.16.1


How reproducible:
always


Steps to Reproduce:
1. set up eth0 to be inactive on boot, but user controllable
2. reboot
3. use system-control-network to try and active eth0
  
Actual results:
disk activity as audit messages fill the log


Expected results:
activation of eth0


Additional info:
The same thing happens if I try and use ifup from the command line. If
I become root then I can active the device using ifup.

Comment 1 Brian G. Anderson 2004-04-14 12:22:37 UTC
Created attachment 99399 [details]
Audit messages in log

Comment 2 Harald Hoyer 2004-04-14 12:40:55 UTC
seems like usernetctl needs better selinux policies..

Comment 3 Daniel Walsh 2004-04-15 15:38:21 UTC
Fixed in rawhide.  policy-1.11.1-6


Note You need to log in before you can comment on or make changes to this bug.